<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="shopingDataSet" targetNamespace="http://tempuri.org/shopingDataSet.xsd" xmlns:mstns="http://tempuri.org/shopingDataSet.xsd" xmlns="http://tempuri.org/shopingDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="shopingConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="shopingConnectionString (Settings)" PropertyReference="ApplicationSettings.shop.Properties.Settings.GlobalReference.Default.shopingConnectionString" Provider="System.Data.OleDb" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="KHARIDTableAdapter" GeneratorDataComponentClassName="KHARIDTableAdapter" Name="KHARID" UserDataComponentName="KHARIDTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="shopingConnectionString (Settings)" DbObjectName="KHARID" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `KHARID` WHERE ((`ID` = ?) AND ((? = 1 AND `factor` IS NULL) OR (`factor` = ?)) AND ((? = 1 AND `sherkat` IS NULL) OR (`sherkat` = ?)) AND ((? = 1 AND `tarikh` IS NULL) OR (`tarikh` = ?)) AND ((? = 1 AND `nam` IS NULL) OR (`nam` = ?)) AND ((? = 1 AND `fi` IS NULL) OR (`fi` = ?)) AND ((? = 1 AND `tedad` IS NULL) OR (`tedad` = ?)) AND ((? = 1 AND `kol` IS NULL) OR (`kol` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_ID" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_factor" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="factor" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_factor" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="factor" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_sherkat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="sherkat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_sherkat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sherkat" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tarikh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tarikh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tarikh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tarikh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_nam" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="nam" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_nam" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="nam" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_fi" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="fi" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_fi" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="fi" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tedad" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tedad" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tedad" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tedad" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_kol" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="kol" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_kol" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="kol" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `KHARID` (`factor`, `sherkat`, `tarikh`, `nam`, `fi`, `tedad`, `kol`) VALUES (?, ?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="factor" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="factor" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="sherkat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sherkat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tarikh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tarikh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="nam" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="nam" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="fi" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="fi" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tedad" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tedad" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="kol" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="kol" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT ID, factor, sherkat, tarikh, nam, fi, tedad, kol FROM KHARID</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `KHARID` SET `factor` = ?, `sherkat` = ?, `tarikh` = ?, `nam` = ?, `fi` = ?, `tedad` = ?, `kol` = ? WHERE ((`ID` = ?) AND ((? = 1 AND `factor` IS NULL) OR (`factor` = ?)) AND ((? = 1 AND `sherkat` IS NULL) OR (`sherkat` = ?)) AND ((? = 1 AND `tarikh` IS NULL) OR (`tarikh` = ?)) AND ((? = 1 AND `nam` IS NULL) OR (`nam` = ?)) AND ((? = 1 AND `fi` IS NULL) OR (`fi` = ?)) AND ((? = 1 AND `tedad` IS NULL) OR (`tedad` = ?)) AND ((? = 1 AND `kol` IS NULL) OR (`kol` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="factor" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="factor" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="sherkat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sherkat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tarikh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tarikh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="nam" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="nam" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="fi" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="fi" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tedad" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tedad" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="kol" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="kol" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_ID" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_factor" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="factor" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_factor" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="factor" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_sherkat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="sherkat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_sherkat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sherkat" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tarikh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tarikh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tarikh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tarikh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_nam" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="nam" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_nam" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="nam" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_fi" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="fi" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_fi" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="fi" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tedad" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tedad" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tedad" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tedad" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_kol" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="kol" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_kol" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="kol" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="ID" DataSetColumn="ID" />
              <Mapping SourceColumn="factor" DataSetColumn="factor" />
              <Mapping SourceColumn="sherkat" DataSetColumn="sherkat" />
              <Mapping SourceColumn="tarikh" DataSetColumn="tarikh" />
              <Mapping SourceColumn="nam" DataSetColumn="nam" />
              <Mapping SourceColumn="fi" DataSetColumn="fi" />
              <Mapping SourceColumn="tedad" DataSetColumn="tedad" />
              <Mapping SourceColumn="kol" DataSetColumn="kol" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="shopingDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="shopingDataSet" msprop:Generator_UserDSName="shopingDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="KHARID" msprop:Generator_TableClassName="KHARIDDataTable" msprop:Generator_TableVarName="tableKHARID" msprop:Generator_TablePropName="KHARID" msprop:Generator_RowDeletingName="KHARIDRowDeleting" msprop:Generator_UserTableName="KHARID" msprop:Generator_RowChangingName="KHARIDRowChanging" msprop:Generator_RowEvHandlerName="KHARIDRowChangeEventHandler" msprop:Generator_RowDeletedName="KHARIDRowDeleted" msprop:Generator_RowEvArgName="KHARIDRowChangeEvent" msprop:Generator_RowChangedName="KHARIDRowChanged" msprop:Generator_RowClassName="KHARIDRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ID" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnID" msprop:Generator_ColumnPropNameInRow="ID" msprop:Generator_ColumnPropNameInTable="IDColumn" msprop:Generator_UserColumnName="ID" type="xs:int" />
              <xs:element name="factor" msprop:Generator_ColumnVarNameInTable="columnfactor" msprop:Generator_ColumnPropNameInRow="factor" msprop:Generator_ColumnPropNameInTable="factorColumn" msprop:Generator_UserColumnName="factor" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sherkat" msprop:Generator_ColumnVarNameInTable="columnsherkat" msprop:Generator_ColumnPropNameInRow="sherkat" msprop:Generator_ColumnPropNameInTable="sherkatColumn" msprop:Generator_UserColumnName="sherkat" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tarikh" msprop:Generator_ColumnVarNameInTable="columntarikh" msprop:Generator_ColumnPropNameInRow="tarikh" msprop:Generator_ColumnPropNameInTable="tarikhColumn" msprop:Generator_UserColumnName="tarikh" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="nam" msprop:Generator_ColumnVarNameInTable="columnnam" msprop:Generator_ColumnPropNameInRow="nam" msprop:Generator_ColumnPropNameInTable="namColumn" msprop:Generator_UserColumnName="nam" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="fi" msprop:Generator_ColumnVarNameInTable="columnfi" msprop:Generator_ColumnPropNameInRow="fi" msprop:Generator_ColumnPropNameInTable="fiColumn" msprop:Generator_UserColumnName="fi" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tedad" msprop:Generator_ColumnVarNameInTable="columntedad" msprop:Generator_ColumnPropNameInRow="tedad" msprop:Generator_ColumnPropNameInTable="tedadColumn" msprop:Generator_UserColumnName="tedad" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="kol" msprop:Generator_ColumnVarNameInTable="columnkol" msprop:Generator_ColumnPropNameInRow="kol" msprop:Generator_ColumnPropNameInTable="kolColumn" msprop:Generator_UserColumnName="kol" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:KHARID" />
      <xs:field xpath="mstns:ID" />
    </xs:unique>
  </xs:element>
</xs:schema>